Page MenuHomePhabricator

Create Hackathon pages in Wikimania 2015 wiki
Closed, ResolvedPublic

Description

Gregory Varnum says:

Let me know if your team wants any volunteer help from me setting up the Wikimania 2015 Hackathon wiki pages. I'm not sure what the plan is for this year's event, so haven't set them up yet, but I am an admin on that wiki and can help import last year's pages as a starting point if that helps.

Event Timeline

Qgil created this task.Feb 3 2015, 8:02 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Wikimania-Hackathon-2015.
Qgil added subscribers: Qgil, Rfarrand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 8:02 AM
Qgil added a comment.Feb 3 2015, 8:10 AM

Thank you Greg! @Rfarrand is on vacation this week, and I just sent an email to the Wikimania 2015 organizers letting them known about the existance of the #Wikimania-Hackathon-2015 project in Phabricator.

Even if we need Hackathon information at https://wikimania2015.wikimedia.org/, I would not publish anything until we have a common idea of the basic plan shared with the organizers. The last time I spoke with them was at Wikimania 2014 in London last Summer, and right now I don't know whether Rachel has followed up with them.

There are at least three things that I would like to do differently this year:

  • Better integration with the rest of Wikimania. I don't know whether there is still time for this, but I was proposing 3 days of Hackathon and 3 days of Wikimania with one day overlapping (2 in total) as opposed to the traditional 2 days Hackathon followed by 3 days Wikimania.
  • Call for participation run in Phabricator, like we have done (successfully, I think) for the MediaWiki Developer Summit.
  • Special focus on activities for local developers and editors (aka international newcomers).
Varnent added a subscriber: Varnent.Feb 4 2015, 5:25 AM

I like the idea of replicating what was done for the Summit. My impression talking to folks at the office right afterward was that it was a big success!

Omar_sansi triaged this task as High priority.
Omar_sansi set Security to None.
Qgil added a comment.EditedFeb 24 2015, 6:41 AM

I just have created https://wikimania2015.wikimedia.org/wiki/Hackathon/Buddies in order to support the idea of pairing buddies for the Wikimania Hackathon.

There is a detail in the Wikimania 2015 site: subpages don't offer a link to the parent page. Hackathon/Buddies doesn't offer an automatic link to Hackathon, as it happens in https://www.mediawiki.org/wiki/Lyon_Hackathon_2015/Buddies and in your average MediaWiki. You do get "From Wikimania 2015 • Mexico City, Mexico", but I wonder how is that needed in every single page...

Qgil closed this task as Resolved.Jun 10 2015, 8:50 AM

https://wikimania2015.wikimedia.org/wiki/Hackathon is good enough to close this task.